MDKA-2004:054 - Updated libpng packages fix
Posted on: 12/14/2004 06:52 AM

Updated libpng packages are available for Mandrakelinux 10.1
_______________________________________________________________________

Mandrakelinux Update Advisory
_______________________________________________________________________

Package name: libpng
Advisory ID: MDKA-2004:054
Date: December 13th, 2004

Affected versions: 10.1
______________________________________________________________________

Problem Description:

A problem in version 1.2.6 of the libpng library would cause libpng to write an invalid zlib header within the PNG datastream. This can cause some applications to display the images incorrectly.

The updated packages have been patched to fix this problem.

______________________________________________________________________

Updated Packages:

Mandrakelinux 10.1:
d39af65bfebbfc7ca7594b11352d35aa 10.1/RPMS/libpng3-1.2.6-2.1.101mdk.i586.rpm
02db401208f19d6f89edbc98cf0584a3 10.1/RPMS/libpng3-devel-1.2.6-2.1.101mdk.i586.rpm
887d251921d2428b2690d82981ff2277 10.1/RPMS/libpng3-static-devel-1.2.6-2.1.101mdk.i586.rpm
00003835707bb3c9231a70a80463273d 10.1/SRPMS/libpng-1.2.6-2.1.101mdk.src.rpm

Mandrakelinux 10.1/X86_64:
1ae3ce01633cf6a63d6e1a775c83f77d x86_64/10.1/RPMS/lib64png3-1.2.6-2.1.101mdk.x86_64.rpm
8dd6b5921f5085438c519703a1d5609e x86_64/10.1/RPMS/lib64png3-devel-1.2.6-2.1.101mdk.x86_64.rpm
40677c726420c032671dcdd7ed24bb40 x86_64/10.1/RPMS/lib64png3-static-devel-1.2.6-2.1.101mdk.x86_64.rpm
00003835707bb3c9231a70a80463273d x86_64/10.1/SRPMS/libpng-1.2.6-2.1.101mdk.src.rpm
_______________________________________________________________________

To upgrade automatically use MandrakeUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you.

All packages are signed by Mandrakesoft for security. You can obtain the GPG public key of the Mandrakelinux Security Team by executing:

gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

You can view other update advisories for Mandrakelinux at:

http://www.mandrakesoft.com/security/advisories

If you want to report vulnerabilities, please contact

security_linux-mandrake.com


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/mdka_2004054__updated_libpng_packages_fix.html)